
/********************************************
****        Awlib 1.1 - Test form 1      ****
**** (c) 2002-2009 - Alessandro Pedretti ****
********************************************/


#include <windows.h>
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"

#pragma package(smart_init)
#pragma resource "*.dfm"

#include "awlib.h"


/**** Local variables ****/

TMainForm *             MainForm;


/**** Constructor ****/

__fastcall TMainForm::TMainForm(TComponent* Owner)
        : TForm(Owner)
{
  AW_InitAlphaWin(MainForm -> Handle);
}


/**** Open a new window ****/

void __fastcall TMainForm::BT_NewWinClick(TObject *Sender)
{
  Form2 -> Show();
}


/**** Enable/disable the glass function ****/

void __fastcall TMainForm::CB_EnableClick(TObject *Sender)
{
  AW_EnableAll(CB_Enable -> Checked);

  LBL_Min   -> Enabled = CB_Enable -> Checked;
  LBL_Max   -> Enabled = CB_Enable -> Checked;
  LBL_Open  -> Enabled = CB_Enable -> Checked;
  LBL_Speed -> Enabled = CB_Enable -> Checked;
  TB_Min    -> Enabled = CB_Enable -> Checked;
  TB_Max    -> Enabled = CB_Enable -> Checked;
  TB_Open   -> Enabled = CB_Enable -> Checked;
  TB_Speed  -> Enabled = CB_Enable -> Checked;
}


/**** Slider change ****/

void __fastcall TMainForm::TB_Change(TObject *Sender)
{
  AW_SetPar((BYTE)TB_Max  -> Position, (BYTE)TB_Min   -> Position,
            (BYTE)TB_Open -> Position, (UINT)TB_Speed -> Position);
}

